-1

After updating Drupal 8 to 8.6.7 I start getting the following error when I ran the drush ms command: "Drupal\migrate\Plugin\Exception\BadPluginDefinitionException: The name plugin must define the source_module property. in C:\Users...".

I found out that I need to add source_module and destination_module inside the plugins annotation. I did that and I cleared the cache and still getting the same error message on my command line. Source: https://www.drupal.org/node/2831566

Anyone know a fix for this? Thank you,

  • You should try it with an upgrade v9 Drush. – leymannx Jan 25 at 23:22
  • Isn't this coming from the name module? Did you change it in this module? You need to do a cache clear afterwards. And check if you maybe get a slightly different message afterwards, maybe there are other problems as well. – Stefan Korn Jan 26 at 10:07
  • Thank you both for your comments. I had to revert back to Drupal 8.6.5. Now the drush ms command work without any error.I am afraid to upgrade Drupal. – absbennyboy Jan 30 at 14:41

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.